<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderGoodsResultMap" type="org.springblade.modules.finance.entity.OrderGoods">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="order_id" property="orderId"/>
        <result column="goods_id" property="goodsId"/>
        <result column="goods_num" property="goodsNum"/>
        <result column="goods_name" property="goodsName"/>
        <result column="goods_price" property="goodsPrice"/>
        <result column="goods_image" property="goodsImage"/>
        <result column="goods_no" property="goodsNo"/>
        <result column="shop_id" property="shopId"/>
        <result column="store_name" property="storeName"/>
        <result column="device_id" property="deviceId"/>
        <result column="merchant_id" property="merchantId"/>
        <result column="user_id" property="userId"/>
        <result column="cargo_way_id" property="cargoWayId"/>
        <result column="shipping_time" property="shippingTime"/>
    </resultMap>


    <select id="selectOrderGoodsPage" resultMap="orderGoodsResultMap">
        select * from t_order_goods where is_delete = 0
    </select>

</mapper>
